Retrieve Workflow Actions
Retrieve all available workflow actions that can be initiated on a specific workflow.
GET
/api/{version}/objects/objectworkflows/{workflow_id}/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{workflow_id} | The workflow id field value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | When localized (translated) strings are available, retrieve them by including loc=true. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/3302/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "cancel",
"label": "Cancel"
},
{
"name": "replaceworkflowowner",
"label": "Replace Workflow Owner"
},
{
"name": "addparticipants",
"label": "Add Participants"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all available workflow actions. Each action includes the following fields:
name- The workflow action name used to initiate the workflow in the request.label- The workflow action label as seen in the UI.